Package org.drinkless.tdlib

# Class TdApi.UpdateTopicMessageCount

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateTopicMessageCount

Enclosing class:
  `TdApi`

public static class TdApi.UpdateTopicMessageCount extends TdApi.Update
Number of messages in a topic has changed; for Saved Messages and channel direct messages chat topics only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat in topic of which the number of messages has changed.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `messageCount`
  Approximate number of messages in the topic.
  `TdApi.MessageTopic`
  `topicId`
  Identifier of the topic.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateTopicMessageCount()`
  Number of messages in a topic has changed; for Saved Messages and channel direct messages chat topics only.
  `UpdateTopicMessageCount(long chatId, TdApi.MessageTopic topicId, int messageCount)`
  Number of messages in a topic has changed; for Saved Messages and channel direct messages chat topics only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat in topic of which the number of messages has changed.

  - ### topicId

    public TdApi.MessageTopic topicId
    Identifier of the topic.

  - ### messageCount

    public int messageCount
    Approximate number of messages in the topic.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateTopicMessageCount

    public UpdateTopicMessageCount()
    Number of messages in a topic has changed; for Saved Messages and channel direct messages chat topics only.

  - ### UpdateTopicMessageCount

    public UpdateTopicMessageCount(long chatId, TdApi.MessageTopic topicId, int messageCount)
    Number of messages in a topic has changed; for Saved Messages and channel direct messages chat topics only.
    Parameters:
      `chatId` - Identifier of the chat in topic of which the number of messages has changed.
      `topicId` - Identifier of the topic.
      `messageCount` - Approximate number of messages in the topic.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR